Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,743,029 Members 42,014 Now Online
XDA Developers Android and Mobile Development Forum

Recompiling apks

Tip us?
 
Jvlicious
Old
#1  
Junior Member - OP
Thanks Meter 0
Posts: 7
Join Date: Jul 2014
Default Recompiling apks

So here's my problem,

I can decompile any apk without experiencing any error with any apk tools available but when I'm going to recompile the apk I'm always getting this error even without changing or replacing any decompiled files. Installed framework-res.apk, android sdk, java and everything that is needed.

Quote:
Exception in thread "main" brut.androlib.AndrolibException: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [C:\Users\JV\AppData\Local\Temp\brut_util_Jar_67911 96648271558612.tmp, p, --forced-package-id, 127, --min-sdk-version, 17, --target-sdk-version, 17, --version-code, 17, --version-name, 4.2.2-eng.linux-server-build8.1386840529, -F, C:\Users\JV\AppData\Local\Temp\APKTOOL477057585035 2497747.tmp, -0, arsc, -I, C:\Users\JV\Desktop\AdvancedApkTool\1-BDFreak\Frameworks\1.apk, -S, C:\Users\JV\Desktop\AdvancedApkTool\3-Out\Settings.apk\res, -M, C:\Users\JV\Desktop\AdvancedApkTool\3-Out\Settings.apk\AndroidManifest.xml]
at brut.androlib.Androlib.buildResourcesFull(Androlib .java:435)
at brut.androlib.Androlib.buildResources(Androlib.jav a:363)
at brut.androlib.Androlib.build(Androlib.java:286)
at brut.androlib.Androlib.build(Androlib.java:258)
at brut.apktool.Main.cmdBuild(Main.java:236)
at brut.apktool.Main.main(Main.java:88)
Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [C:\Users\JV\AppData\Local\Temp\brut_util_Jar_67911 96648271558612.tmp, p, --forced-package-id, 127, --min-sdk-version, 17, --target-sdk-version, 17, --version-code, 17, --version-name, 4.2.2-eng.linux-server-build8.1386840529, -F, C:\Users\JV\AppData\Local\Temp\APKTOOL477057585035 2497747.tmp, -0, arsc, -I, C:\Users\JV\Desktop\AdvancedApkTool\1-BDFreak\Frameworks\1.apk, -S, C:\Users\JV\Desktop\AdvancedApkTool\3-Out\Settings.apk\res, -M, C:\Users\JV\Desktop\AdvancedApkTool\3-Out\Settings.apk\AndroidManifest.xml]
at brut.androlib.res.AndrolibResources.aaptPackage(An drolibResources.java:470)
at brut.androlib.Androlib.buildResourcesFull(Androlib .java:416)
... 5 more
Caused by: brut.common.BrutException: could not exec command: [C:\Users\JV\AppData\Local\Temp\brut_util_Jar_67911 96648271558612.tmp, p, --forced-package-id, 127, --min-sdk-version, 17, --target-sdk-version, 17, --version-code, 17, --version-name, 4.2.2-eng.linux-server-build8.1386840529, -F, C:\Users\JV\AppData\Local\Temp\APKTOOL477057585035 2497747.tmp, -0, arsc, -I, C:\Users\JV\Desktop\AdvancedApkTool\1-BDFreak\Frameworks\1.apk, -S, C:\Users\JV\Desktop\AdvancedApkTool\3-Out\Settings.apk\res, -M, C:\Users\JV\Desktop\AdvancedApkTool\3-Out\Settings.apk\AndroidManifest.xml]
at brut.util.OS.exec(OS.java:89)
at brut.androlib.res.AndrolibResources.aaptPackage(An drolibResources.java:464)
... 6 more
 
Jvlicious
Old
#2  
Junior Member - OP
Thanks Meter 0
Posts: 7
Join Date: Jul 2014
Anyone?
 
Jvlicious
Old
#3  
Junior Member - OP
Thanks Meter 0
Posts: 7
Join Date: Jul 2014
Clock :(

 
Vaibhav Chauhan
Old
#4  
Vaibhav Chauhan's Avatar
Senior Member
Thanks Meter 128
Posts: 755
Join Date: Feb 2014
Location: Dahod, Gujarat
Quote:
Originally Posted by Jvlicious View Post
Anyone?
i think you are using different version's framework and systemui are installed
use the same phone's systemui and framework from which you have taken that app
PHONE;- Samsung galaxy s duos gt-s7562
OS:- Android ICS 4.0.4
BASEBAND VERSION:- S7562DDBMJ1
BUILD NO:- IMM76I.S7562XXBMJ1

Guides by me

...PRESS THANKS IF I HELP YOU...
.
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes